Summary: Creates an initial ramdisk image for preloading modules.
Name: mkinitrd
Version: 4.2.15
Release: 14tr
License: GPL
Group: Trustix Official
Source: mkinitrd-%{version}.tar.bz2
Source1: mkinitrd_helper.tar.bz2
# Not applied in -2em
Patch1: mkinitrd-3.4.43-mdk.patch
Patch3: mkinitrd-3.4.43-ttyS.patch
Patch4: mkinitrd-3.4.43-cc.patch
Patch5: mkinitrd-3.4.43-sockaddr.patch
Patch6: mkinitrd-4.2.15-sata.patch
Patch7: mkinitrd-sysroot-golmal.patch
Patch8: mkinitrd-4.2.15-evms.patch
Patch9: mkinitrd-4.2.15-new.patch

ExclusiveArch: i586 sparc sparc64
# This needs to be PreReq'ed or system install will fail
PreReq: losetup, e2fsprogs, coreutils, grep, mount, gzip, tar
PreReq: mktemp >= 1.5-5tr, findutils, sed
PreReq: filesystem >= 1.3.5-5, dev
BuildRequires: perl
Obsoletes: tsl-initrd
Provides: tsl-initrd nash
BuildRoot: /var/tmp/%{name}-root

%description
Mkinitrd creates filesystem images for use as initial ramdisk (initrd)
images.  These ramdisk images are often used to preload the block
device modules (SCSI or RAID) needed to access the root filesystem.

In other words, generic kernels can be built without drivers for any
SCSI adapters which load the SCSI driver as a module.  Since the
kernel needs to read those modules, but in this case it isn't able to
address the SCSI adapter, an initial ramdisk is used.  The initial
ramdisk is loaded by the operating system loader (normally LILO) and
is available to the kernel as soon as the ramdisk is loaded.  The
ramdisk image loads the proper SCSI adapter and allows the kernel to
mount the root filesystem.  The mkinitrd program creates such a
ramdisk using information found in the /etc/modules.conf file.

%prep
%setup -q -a 1
#%patch1 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make BUILDROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/sbin
rm -f $RPM_BUILD_ROOT/sbin/{grubby,installkernel,new-kernel-pkg}
rm -f $RPM_BUILD_ROOT%{_mandir}/*/grubby*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/sbin/*
%{_mandir}/man8/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Jan 31 2007 Bipin S <bipin at trustix dot org> 4.2.15-13tr
- Removed scsimodules="ata_piix" from mkinitrd.

* Fri Jan 19 2007 Bipin S <bipin at trustix dot org> 4.2.15-12tr
- patched for adding ide-disk module.

* Tue Jan 09 2007 Bipin S <bipin at trustix dot org> 4.2.15-11tr
- Load modules in the right order.

* Thu Dec 07 2006 Bipin S <bipin at trustix dot org> 4.2.15-10tr
- raid5 is now raid456.

* Thu Nov 23 2006 Bipin S <bipin at trustix dot org> 4.2.15-9tr
- initrd now includes more modules.

* Thu Sep 07 2006 Bipin S <bipin at trustix dot org> 4.2.15-7tr
- Patched to fix upgrades from tsl-3.0 to tsl-3.0.5.

* Fri Aug 04 2006 Bipin S <bipin at trustix dot org> 4.2.15-6tr
- patched for adding piix module.

* Wed Feb 08 2006 Ajith Thampi <ajith at trustix dot org> 4.2.15-5tr
- a temp patch -removable
		
* Tue Jan 24 2006 Ajith Thampi <ajith at trustix dot org> 4.2.15-3tr
- removed patches to insmod
		
* Wed Jan 18 2006 Ajith Thampi <ajith at trustix dot org> 4.2.15-2tr
- Provides nash
		
* Fri Dec 17 2004 Erlend Midttun <erlendbm at trustix dot org> 3.4.43-13tr
- Now use insmod.static.old.

* Thu Dec  2 2004 Oystein Viggen <oysteivi at trustix dot com> 3.4.43-12tr
- ata_piix depends on libata

* Mon Nov  1 2004 Oystein Viggen <oysteivi at trustix dot com> 3.4.43-11tr
- Patch for sata support

* Fri Feb 27 2004 Erlend Midttun <erlendbm at trustix dot org> 3.4.43-9tr
- Added CC to get no-stack-protector going.

* Fri Jan 30 2004 Oystein Viggen <oysteivi at trustix dot org> 3.4.43-8tr
- Won't build with stack protection

* Mon Dec 15 2003 Erlend Midttun <erlendbm at trustix dot org> 3.4.43-7tr
- Rebuilt.

* Thu Jul 10 2003 Erlend Midttun <erlendbm at trustix dot com> 3.4.43-6tr
- Added ttyS0-3.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 3.4.43-5tr
- Big rebuild

* Wed May 28 2003 Erlend Midttun <erlendbm at trustix dot com> 3.4.43-4em
- Now actually use the insmod we compiled.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 3.4.43-3em
- fileutils, sh-utils, textutils -> coreutils.

* Tue May  6 2003 Erlend Midttun <erlendbm at trustix dot com> 3.4.43-2em
- Try without the Mandrake patch.

* Wed Apr  9 2003 Erlend Midttun <erlendbm at trustix dot com> 3.4.43-1em
- New upstream.
- Added patch from Mandrake to take care of module dependencies.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 3.3.10-6em
- Rebuilt against glibc 2.3.2.

* Mon Jan 13 2003 Erlend Midttun <erlendbm at trustix dot com> 3.3.10-5em
- mknod the raid bootup device.

* Mon Dec  9 2002 Erlend Midttun <erlendbm at trustix dot com> 3.3.10-4em
- Make it say Trustix when used to add a new boot option.

* Thu Jul 18 2002 Roland Kruse <rolandk at trustix dot com> 
- Requires: dev

* Mon Jun  3 2002 Gerald Dachs <gda at trustix dot org>
- New version is need by the 2.4.x kernels,
  uses the pivot_root system call to change / from
  initrd to real /.

* Tue Jun 12 2001 Erlend Midttun <erlendbm at trustix dot com>
- New upstream version.
- Now requires a few more, including mktemp -d.

* Mon Jan 24 2000 Tore Olsen <toreo at trustix dot com>
- moved /usr/man to /usr/share/man for FHS compliance

* Wed Sep 22 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix cleanup (blush!)

* Tue Sep 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- now works when /usr is not mounted (do not rely on /usr/bin/install)
- slight cleanups, better usage message

* Thu Jul 29 1999 Michael K. Johnson <johnsonm@redhat.com>
- Now automatically includes necessary raid modules
- --omit-raid-modules now omits raid modules
- tiny doc updates

* Thu Jul 29 1999 Bill Nottingham <notting@redhat.com>
- updates from bugzila (#4243, #4244)

* Sat Mar 27 1999 Matt Wilson <msw@redhat.com>
- --omit-scsi-modules now omits all scsi modules
- updated documentation
- mkinitrd now grabs scsi_hostadapter modules from anywhere -
  some RAID controller modules live in block/

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated description

* Mon Jan 11 1999 Matt Wilson <msw@redhat.com>
- Ignore the absence of scsi modules, include them if they are there, but
  don't complain if they are not.
- changed --no-scsi-modules to --omit-scsi-modules (as it should have been)

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.

* Tue Oct 20 1998 Jakub Jelinek <jj@ultra.linux.cz>
- fix for combined sparc/sparc64 insmod, also pluto module is really
  fc4:soc:pluto and we don't look at deps, so special case it.

* Sat Aug 29 1998 Erik Troan <ewt@redhat.com>
- replaced --needs-scsi-mods (which is now the default) with
  --omit-scsi-mods

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- correct obscure regex/shell interaction (hardwires tabs on line 232)

* Mon Jan 12 1998 Erik Troan <ewt@redhat.com>
- added 'make archive' rule to Makefile
- rewrote install procedure for more robust version handling
- be smarter about grabbing options from /etc/conf.modules

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- made it use /bin/ash.static

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Only use '-s' to install binaries if /usr/bin/strip is present.
- Use an image size of 2500 if binaries can't be stripped (1500 otherwise)
- Don't use "mount -o loop" anymore -- losetup the proper devices manually
- Requires losetup, e2fsprogs

* Wed Mar 12 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed a bug in parsing options.
- Changed to use a build tree, then copy the finished tree into the
  image after it is built.
- Added patches derived from ones written by Christian Hechelmann which
  add an option to put the kernel version number at the end of the module
  name and use install -s to strip binaries on the fly.
